<?php

//return the test server stats


//NOTE: only post is allowed!!

#requires some helper function to e.g. create / delete dirs, handle output...

$config = require __DIR__.'/../bootstrap.php';

require_once __DIR__.'/../constants.php';

$response = array(
    "workingDirFullPath" => $config["workingDirFullPath"],

    $s_arg_hardTimeoutInMs => $config[$s_arg_hardTimeoutInMs],
    $s_arg_hardCompileTimeoutInMs => $config[$s_arg_hardCompileTimeoutInMs],
    $s_arg_hardDiskSpaceLimitInKb => $config[$s_arg_hardDiskSpaceLimitInKb],
    $s_arg_hardMemoryLimitInKb => $config[$s_arg_hardMemoryLimitInKb],
    $s_arg_insertTraceLogs => $config[$s_arg_insertTraceLogs],

    "maxNumberOfTestsWithOneRequest" => $config["maxNumberOfTestsWithOneRequest"],
    //"runner" => $config["runner"], //maybe not needed
    "showTestRunnerDebugOutput" => $config["showTestRunnerDebugOutput"],

    "dbServer" => $config["dbServer"],
    "dbName" => $config["dbName"],

    "useConfigFromDb" => $config["useConfigFromDb"],
    "dbConfigServer" => $config["dbConfigServer"],
    "dbConfigName" => $config["dbConfigName"],

    "environmentVars" => $config["environmentVars"],
);


if ($isDebug) {
    debug(json_encode($response));
}

output($status_code_Ok, "", $response);
